## Create new saved logo queries from image files `client.brandProtection.logos.create(LogoCreateParamsparams, RequestOptionsoptions?): LogoCreateResponse` **post** `/accounts/{account_id}/brand-protection/logos` Return new saved logo queries created from image files ### Parameters - `params: LogoCreateParams` - `account_id: string` Path param - `match_type?: string` Query param - `tag?: string` Query param - `threshold?: number` Query param - `image?: Uploadable` Body param ### Returns - `LogoCreateResponse` - `id?: number` - `tag?: string` - `upload_path?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const logo = await client.brandProtection.logos.create({ account_id: 'x' }); console.log(logo.id); ``` #### Response ```json { "id": 0, "tag": "tag", "upload_path": "upload_path" } ```